%global rctag beta3
%global luajitver 2.1.0
%global apiver 2.1
%global srcver %{luajitver}%{?rctag:-%{rctag}}

Summary:        Just-In-Time Compiler for Lua
Name:           luajit
Version:        %{luajitver}
Release:        0.27%{?rctag:%{rctag}}%{?dist}
License:        MIT
URL:            http://luajit.org/
Source0:        http://luajit.org/download/LuaJIT-%{srcver}.tar.gz
Patch3000: luajit-2.1-update.patch
Patch3001: luajit-2.1-fedora.patch
ExclusiveArch:  x86_64 aarch64

BuildRequires:  gcc, make

%description
LuaJIT implements the full set of language features defined by Lua 5.1.
The virtual machine (VM) is API- and ABI-compatible to the standard
Lua interpreter and can be deployed as a drop-in replacement.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.



%prep
%autosetup -n LuaJIT-%{srcver} -p1
sed -i -e '/-DLUAJIT_ENABLE_LUA52COMPAT/s/^#//' src/Makefile
sed -i -e '/install -m/s/-m/-p -m/' Makefile



%build
make amalg Q= E=@: PREFIX=%{_prefix} TARGET_STRIP=: \
           CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}" \
           MULTILIB=%{_lib} \
           %{?_smp_mflags}



%install
%make_install PREFIX=%{_prefix} \
              MULTILIB=%{_lib}

rm -rf _tmp_html ; mkdir _tmp_html
cp -a doc _tmp_html/html

find %{buildroot} -type f -name *.a -delete -print

%if %{defined rctag}
ln -s %{name}-%{srcver} %{buildroot}%{_bindir}/%{name}
%endif



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%check
make check || true



%files
%license COPYRIGHT
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}-%{srcver}
%{_libdir}/lib%{name}-*.so.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}-%{srcver}/

%files devel
%doc _tmp_html/html/
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-0.27beta3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-0.26beta3
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.1.0-0.25beta3
- initial
